// SPDX-License-Identifier: GPL-3.0-or-later
/*
 * Qt mutizone MQTT thermostat
 *
 * Copyright (C) 2019 Richard Genoud
 *
 */

#ifndef BACKGROUNDLOOP_H
#define BACKGROUNDLOOP_H

#include <QThread>

enum power_states {
	OFF,
	ON,
	AUTO,
	MAX_POWER_STATES
};

class BackgroundLoop : public QThread
{
	Q_OBJECT


public:
	BackgroundLoop();
	~BackgroundLoop();

public slots:
	void onNewPowerState(enum power_states state);

private:
	void run() override;
	void allHeatersOn(bool on);

	enum power_states m_pwr_state;
};

#endif // BACKGROUNDLOOP_H

/* vim: set tabstop=8 shiftwidth=8 softtabstop=0 noexpandtab: */
